#pragma once

class CMxDxf : public IMxDxf
{
public:
	CMxDxf(void);
	virtual ~CMxDxf(void);


protected:
	virtual Mcad::ErrorStatus 
		readDxfFile(void* pDatabase,
		LPCTSTR pszFileName
		);

	virtual Mcad::ErrorStatus 
		writeDxfFile(void* pDatabase,
		LPCTSTR pszFileName
		);


	virtual Version GetApiVersion();

public:
	static CMxDxf s_instance;

};
